> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tranthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search deliveries

> Search through deliveries.



## OpenAPI

````yaml get /api/admin/deliveries/
openapi: 3.1.0
info:
  title: Tranthor API
  description: Tranthor API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api/admin/deliveries/:
    get:
      tags:
        - Deliveries
      description: Search through deliveries.
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            type: string
          in: query
          name: fromIdentifier
          required: false
        - schema:
            type: string
          in: query
          name: toIdentifier
          required: false
        - schema:
            type: string
          in: query
          name: journeyId
          required: false
        - schema:
            type: string
          examples:
            '1043':
              value: '1043'
            user-123:
              value: user-123
            0a58e5e4-c753-477e-a6c4-f9b0e3396b9b:
              value: 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
          in: query
          name: userId
          required: false
          description: >-
            Unique identifier for the user. Should be the id of the user in your
            system. Only applicable to logged in users.
        - schema:
            type: array
            items:
              anyOf:
                - type: string
                  enum:
                    - Email
                - type: string
                  enum:
                    - MobilePush
                - type: string
                  enum:
                    - Sms
                - type: string
                  enum:
                    - Webhook
                - type: string
                  enum:
                    - Whatsapp
          in: query
          name: channels
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: to
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: statuses
          required: false
        - schema:
            type: array
            items:
              type: string
          in: query
          name: templateIds
          required: false
        - schema:
            format: date-time
            type: string
          in: query
          name: startDate
          required: false
        - schema:
            format: date-time
            type: string
          in: query
          name: endDate
          required: false
        - schema:
            maxLength: 200
            type: string
          in: query
          name: search
          required: false
        - schema:
            anyOf:
              - type: string
                enum:
                  - asc
              - type: string
                enum:
                  - desc
          in: query
          name: sortDirection
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  workspaceId:
                    type: string
                  items:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Sms
                                provider:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Twilio
                                        sid:
                                          type: string
                                      required:
                                        - type
                                        - sid
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Test
                                      required:
                                        - type
                                to:
                                  type: string
                                body:
                                  type: string
                              required:
                                - type
                                - provider
                                - to
                                - body
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            nodeId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            originMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - journeyId
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              anyOf:
                                - type: string
                                  enum:
                                    - TRInternalMessageSent
                                - type: string
                                  enum:
                                    - TREmailAccepted
                                - type: string
                                  enum:
                                    - TREmailDropped
                                - type: string
                                  enum:
                                    - TREmailDelivered
                                - type: string
                                  enum:
                                    - TREmailOpened
                                - type: string
                                  enum:
                                    - TREmailClicked
                                - type: string
                                  enum:
                                    - TREmailBounced
                                - type: string
                                  enum:
                                    - TREmailMarkedSpam
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Email
                                provider:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - MailChimp
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - SendGrid
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - AmazonSes
                                        messageId:
                                          type: string
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - PostMark
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Resend
                                      required:
                                        - type
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Smtp
                                        messageId:
                                          type: string
                                      required:
                                        - type
                                        - messageId
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Test
                                      required:
                                        - type
                                to:
                                  type: string
                                headers:
                                  type: object
                                  additionalProperties:
                                    type: string
                                from:
                                  type: string
                                subject:
                                  type: string
                                replyTo:
                                  type: string
                                previewText:
                                  maxLength: 500
                                  description: >-
                                    The preview line inboxes show beside the
                                    subject (the preheader). Can use Liquid.
                                  type: string
                                attachmentUserProperties:
                                  description: >-
                                    Names of user properties to attach to the
                                    email as attachments.
                                  type: array
                                  items:
                                    type: string
                                body:
                                  type: string
                                codeFormat:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - html
                                    - type: string
                                      enum:
                                        - mjml
                                    - type: string
                                      enum:
                                        - react-email
                                localizationEnabled:
                                  type: boolean
                                localizations:
                                  type: object
                                  additionalProperties:
                                    type: object
                                    properties:
                                      description:
                                        type: string
                                      from:
                                        type: string
                                      subject:
                                        type: string
                                      body:
                                        type: string
                                      replyTo:
                                        type: string
                                      previewText:
                                        maxLength: 500
                                        type: string
                                    required:
                                      - subject
                                      - body
                              required:
                                - type
                                - provider
                                - to
                                - from
                                - subject
                                - body
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            nodeId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            originMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - journeyId
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              anyOf:
                                - type: string
                                  enum:
                                    - TRInternalMessageSent
                                - type: string
                                  enum:
                                    - TREmailAccepted
                                - type: string
                                  enum:
                                    - TREmailDropped
                                - type: string
                                  enum:
                                    - TREmailDelivered
                                - type: string
                                  enum:
                                    - TREmailOpened
                                - type: string
                                  enum:
                                    - TREmailClicked
                                - type: string
                                  enum:
                                    - TREmailBounced
                                - type: string
                                  enum:
                                    - TREmailMarkedSpam
                            to:
                              type: string
                            channel:
                              type: string
                              enum:
                                - Email
                            from:
                              type: string
                            subject:
                              type: string
                            replyTo:
                              type: string
                            previewText:
                              maxLength: 500
                              description: >-
                                The preview line inboxes show beside the subject
                                (the preheader). Can use Liquid.
                              type: string
                            headers:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  value:
                                    type: string
                                required:
                                  - name
                                  - value
                            attachmentUserProperties:
                              description: >-
                                Names of user properties to attach to the email
                                as attachments.
                              type: array
                              items:
                                type: string
                            body:
                              type: string
                            codeFormat:
                              anyOf:
                                - type: string
                                  enum:
                                    - html
                                - type: string
                                  enum:
                                    - mjml
                                - type: string
                                  enum:
                                    - react-email
                            localizationEnabled:
                              type: boolean
                            localizations:
                              type: object
                              additionalProperties:
                                type: object
                                properties:
                                  description:
                                    type: string
                                  from:
                                    type: string
                                  subject:
                                    type: string
                                  body:
                                    type: string
                                  replyTo:
                                    type: string
                                  previewText:
                                    maxLength: 500
                                    type: string
                                required:
                                  - subject
                                  - body
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            nodeId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            originMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - to
                            - channel
                            - sentAt
                            - updatedAt
                            - journeyId
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              type: string
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Webhook
                                to:
                                  type: string
                                request:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                    method:
                                      type: string
                                    headers:
                                      type: object
                                      additionalProperties:
                                        type: string
                                    params: {}
                                    data: {}
                                    responseType:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - json
                                        - type: string
                                          enum:
                                            - text
                                response:
                                  type: object
                                  properties:
                                    status:
                                      type: number
                                    headers:
                                      type: object
                                      additionalProperties:
                                        type: string
                                    body: {}
                                  required:
                                    - body
                                durationMs:
                                  type: number
                              required:
                                - type
                                - to
                                - request
                                - response
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            nodeId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            originMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - journeyId
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              type: string
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - Whatsapp
                                provider:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Twilio
                                        sid:
                                          type: string
                                      required:
                                        - type
                                        - sid
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - Test
                                      required:
                                        - type
                                to:
                                  type: string
                                contentSid:
                                  type: string
                                contentVariables:
                                  type: object
                                  additionalProperties:
                                    type: string
                              required:
                                - type
                                - provider
                                - to
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            nodeId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            originMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - journeyId
                            - userId
                            - originMessageId
                            - templateId
                        - type: object
                          properties:
                            status:
                              type: string
                            variant:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - MobilePush
                                title:
                                  type: string
                                body:
                                  type: string
                                attempts:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      installationId:
                                        type: string
                                      platform:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - ios
                                          - type: string
                                            enum:
                                              - android
                                      providerType:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - Firebase
                                          - type: string
                                            enum:
                                              - Apns
                                          - type: string
                                            enum:
                                              - Test
                                      deliveryId:
                                        type: string
                                      outcome:
                                        anyOf:
                                          - type: string
                                            enum:
                                              - accepted
                                          - type: string
                                            enum:
                                              - unregistered
                                          - type: string
                                            enum:
                                              - tokenRejected
                                          - type: string
                                            enum:
                                              - permanent
                                          - type: string
                                            enum:
                                              - transient
                                          - type: string
                                            enum:
                                              - credential
                                      providerMessageId:
                                        type: string
                                      reason:
                                        type: string
                                    required:
                                      - installationId
                                      - platform
                                      - providerType
                                      - deliveryId
                                      - outcome
                              required:
                                - type
                                - attempts
                            sentAt:
                              type: string
                            updatedAt:
                              type: string
                            journeyId:
                              type: string
                            nodeId:
                              type: string
                            userId:
                              description: >-
                                Unique identifier for the user. Should be the id
                                of the user in your system. Only applicable to
                                logged in users.
                              examples:
                                - '1043'
                                - user-123
                                - 0a58e5e4-c753-477e-a6c4-f9b0e3396b9b
                              type: string
                            originMessageId:
                              type: string
                            templateId:
                              type: string
                          required:
                            - status
                            - variant
                            - sentAt
                            - updatedAt
                            - journeyId
                            - userId
                            - originMessageId
                            - templateId
                  count:
                    type: number
                  cursor:
                    type: string
                  previousCursor:
                    type: string
                required:
                  - workspaceId
                  - items
                  - count
      security:
        - adminApiKey: []
components:
  securitySchemes:
    adminApiKey:
      type: http
      scheme: bearer
      description: >-
        An Admin API key, sent as `Authorization: Bearer <key>`. Create one in
        Settings.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.